Package ru.bitel.bgbilling.kernel.script.server.dev

# Class EventScriptBase<E extends ru.bitel.bgbilling.kernel.event.common.Event>

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.script.server.dev.EventScriptBase<E>

Type Parameters:
  `E` -

All Implemented Interfaces:
  `EventScript<E>`

Direct Known Subclasses:
  `BonusProgramDynamicBase`

public abstract class EventScriptBase<E extends ru.bitel.bgbilling.kernel.event.common.Event> extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements EventScript<E>
Реализация событийного скрипта.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected PrintStream`
  `err`
  `protected PrintStream`
  `out`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventScriptBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `doExternalScript(E event, List<String> command)`
  `protected void`
  `error(Object message)`
  `protected void`
  `print(Object message)`
  `void`
  `setErrorStream(PrintStream err)`
  `void`
  `setOutputStream(PrintStream out)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.script.server.dev.EventScript

  `onEvent`

- ## Field Details

  - ### out

    protected PrintStream out

  - ### err

    protected PrintStream err

- ## Constructor Details

  - ### EventScriptBase

    public EventScriptBase()

- ## Method Details

  - ### setOutputStream

    public void setOutputStream(PrintStream out)

  - ### setErrorStream

    public void setErrorStream(PrintStream err)

  - ### print

    protected void print(Object message)

  - ### error

    protected void error(Object message)

  - ### doExternalScript

    protected String doExternalScript(E event, List<String> command)